aagc.vo

## Class FarmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate

- java.lang.Object
- - aagc.vo.FarmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate

-     public class FarmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate
      extends java.lang.Object

  Classe Java per farmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="farmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codFarmaco">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="10"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="numPezzi">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxExclusive value="100"/>
                     <pattern value="[0-9]+"/>
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codNota" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codFarmaco`
    `protected java.lang.String` | `codNota`
    `protected int` | `numPezzi`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FarmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFarmaco()` Recupera il valore della proprietà codFarmaco.
    `java.lang.String` | `getCodNota()` Recupera il valore della proprietà codNota.
    `int` | `getNumPezzi()` Recupera il valore della proprietà numPezzi.
    `void` | `setCodFarmaco(java.lang.String value)` Imposta il valore della proprietà codFarmaco.
    `void` | `setCodNota(java.lang.String value)` Imposta il valore della proprietà codNota.
    `void` | `setNumPezzi(int value)` Imposta il valore della proprietà numPezzi.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFarmaco

          protected java.lang.String codFarmaco

    - #### numPezzi

          protected int numPezzi

    - #### codNota

          protected java.lang.String codNota

  - ### Constructor Detail

    - #### FarmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate

          public FarmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate()

  - ### Method Detail

    - #### getCodFarmaco

          public java.lang.String getCodFarmaco()

      Recupera il valore della proprietà codFarmaco.
      Returns:
        possible object is `String`

    - #### setCodFarmaco

          public void setCodFarmaco(java.lang.String value)

      Imposta il valore della proprietà codFarmaco.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumPezzi

          public int getNumPezzi()

      Recupera il valore della proprietà numPezzi.

    - #### setNumPezzi

          public void setNumPezzi(int value)

      Imposta il valore della proprietà numPezzi.

    - #### getCodNota

          public java.lang.String getCodNota()

      Recupera il valore della proprietà codNota.
      Returns:
        possible object is `String`

    - #### setCodNota

          public void setCodNota(java.lang.String value)

      Imposta il valore della proprietà codNota.
      Parameters:
        `value` - allowed object is `String`